Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.conf
Class BooleanValue

    java.lang.Object
      |
      +--com.solarmetric.rd.conf.Value
            |
            +--com.solarmetric.rd.conf.BooleanValue

public class BooleanValue
extends Value

A boolean `Value`.

Field Summary

Fields inherited from class com.solarmetric.rd.conf.Value
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Constructor Summary
`BooleanValue(java.lang.String prop, boolean value, java.lang.Class configClass, boolean expert, java.lang.String type)`

Method Summary
`boolean` | `get()`
`java.lang.String` | `getString()` Return a stringified version of this value.
`void` | `set(boolean value)`
`void` | `setString(java.lang.String stringValue)` Set this value from the given string.

Methods inherited from class com.solarmetric.rd.conf.Value
`equals, getDescriptor, getProperty, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanValue

    public BooleanValue(java.lang.String prop,
                        boolean value,
                        java.lang.Class configClass,
                        boolean expert,
                        java.lang.String type)

Method Detail

### set

    public void set(boolean value)

### get

    public boolean get()

### getString

    public java.lang.String getString()

  Description copied from class: `Value`
  Return a stringified version of this value.

  Specified by:
    `getString` in class `Value`

### setString

    public void setString(java.lang.String stringValue)

  Description copied from class: `Value`
  Set this value from the given string.

  Specified by:
    `setString` in class `Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.